<?php
/**
 * @project Astra.CMS
 * @link http://a-cms.ru/
 * @copyright 2010 " "
 * @author Vitaly Hohlov <vitaly.hohlov@gmail.com>
 * @package Plugins
 */
/**************************************************************************/

class ListStr_Admin extends A_MainFrame
{
  function __construct()
  {
    parent::__construct("plugin_liststr.tpl");

	$this->AddJScript("/plugins/liststr/admin/liststr.js");
  }

  function Action($action)
  { $res=false;
    switch($action)
    { case "add": $res=$this->Add(); break;
	  case "edit": $res=$this->Edit(); break;
	  case "del": $res=$this->Del(); break;
	  case "delete": $res=$this->Delete(); break;
	}
    if($res)
	A::goUrl("admin.php?mode=structures&item=".ITEM);
  }

  function Add()
  {
    $_REQUEST['name']=trim($_REQUEST['name']);
	$dataset = new A_DataSet(STRUCTURE);
    $dataset->fields=array("name");
    return $dataset->Insert();
  }

  function Edit()
  {
    $_REQUEST['name']=trim($_REQUEST['name']);
    $dataset = new A_DataSet(STRUCTURE);
    $dataset->fields=array("name");
    return $dataset->Update();
  }

  function Del()
  {
    $dataset = new A_DataSet(STRUCTURE);
    return $dataset->Delete();
  }

  function Delete()
  {
    if(isset($_REQUEST['checkdata']))
	foreach($_REQUEST['checkdata'] as $id)
	A::$DB->execute("DELETE FROM ".STRUCTURE." WHERE id=".(integer)$id);
	return true;
  }

  function createData()
  {
	$liststr = array();
  	A::$DB->query("SELECT * FROM ".STRUCTURE." ORDER BY name");
	while($row=A::$DB->fetchRow())
	$liststr[]=$row;
	A::$DB->free();

	$this->Assign("liststr",$liststr);
  }
}

A::$MAINFRAME = new ListStr_Admin;